module Redmine
  module Plugins
    module AdvancedReport
      class << self
  
        include Redmine::I18n
        include Redmine::Export::PDF
        include IssuesHelper

        def report_to_pdf_old(from, to, projects)
          pdf = IFPDF.new(current_language)
          pdf.SetTitle("#{l(:advanced_report_title)} #{from} - #{to}")
          pdf.AliasNbPages
          pdf.footer_date = format_date(Date.today)
          pdf.AddPage
          
          pdf.SetFontStyle('B',11)    
          pdf.Cell(190,10, "#{l(:advanced_report_title)} #{from} - #{to}")
          pdf.Ln
          
          y0 = pdf.GetY
      
          if !(projects.empty?)
            write_line(pdf, l(:label_activity_list_by_project) + ":", "B")
            projects.each do |project|
              if !(project[:issues].empty?)
                write_line(pdf, "- " + project[:project].name + ":", "I")
                project[:issues].each do |issue|
                  write_line(pdf, "   - " + link_to_issue(issue) + ": " + h(issue.subject))
                end
              end
            end
          end
      
          pdf.Output
        end
        
        def write_line(pdf, line = "", style = "", font_size = 9, height = 5)
          pdf.SetFontStyle(style, font_size)
          pdf.Write(height, line)
          pdf.Ln
        end
            
        def format_date(date)
          date.to_s
        end
  
      end
    end
  end
end
